package br.usp.poli.java.ihc;
/*
Copyright (C) 2008 Fbio Levy Siqueira (fabiolevy@yahoo.com.br)

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
*/
import br.usp.poli.java.ICarta;
import br.usp.poli.java.IJogadorManilhaFixa;

final class JogadorAutomaticoManilhaFixa extends JogadorAutomatico implements IJogadorManilhaFixa {
	JogadorAutomaticoManilhaFixa(IJogadorManilhaFixa implementacao, String nome, boolean estaEmCima) {
		super(implementacao, nome, estaEmCima);
	}
	public void receberCartas(ICarta[] cartas) {
		super.receberCartas(cartas);
		((IJogadorManilhaFixa) this.jogador).receberCartas(cartas);
	}
}
