package br.usp.poli.java.ihc;
/*
Copyright (C) 2008 Fbio Levy Siqueira (fabiolevy@yahoo.com.br)

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
*/
import br.usp.poli.java.ICarta;
import br.usp.poli.java.IJogadorManilhaVariavel;

final class JogadorHumanoManilhaVariavel extends JogadorHumano implements
		IJogadorManilhaVariavel {

	public JogadorHumanoManilhaVariavel(String nome, boolean estaEmCima) {
		super(nome, estaEmCima);
	}
	
	public void receberCartas(ICarta[] cartas, ICarta vira) {
		this.cartas = cartas;
		super.receberCartas(cartas, vira);
	}
}
